%global project   felix
%global bundle    org.apache.felix.inventory
Name:          felix-inventory
Version:       1.0.4
Release:       1%{?dist}
Summary:       Apache Felix Inventory
License:       ASL 2.0
URL:           http://felix.apache.org/documentation/subprojects/apache-felix-inventory.html
Source0:       http://www.apache.org/dist/felix/%{bundle}-%{version}-source-release.tar.gz

BuildRequires: maven-local
BuildRequires: mvn(javax.servlet:javax.servlet-api)
BuildRequires: mvn(junit:junit)
%if %{?fedora} >= 21
BuildRequires: mvn(org.apache.felix:felix-parent:pom:)
%else
BuildRequires: mvn(org.apache.felix:felix-parent)
%endif
BuildRequires: mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires: mvn(org.osgi:org.osgi.compendium)
BuildRequires: mvn(org.osgi:org.osgi.core)

BuildArch:     noarch

%description
Apache Felix Inventory provides some mechanisms to get the
current state of the system and therefore provides an
inventory of the system.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{bundle}-%{version}
# Currently is broken
%pom_remove_plugin :animal-sniffer-maven-plugin

%pom_xpath_set "pom:dependency[pom:groupId='javax.servlet']/pom:artifactId" javax.servlet-api
%pom_xpath_set "pom:dependency[pom:groupId='javax.servlet']/pom:version" 3.1.0

%pom_xpath_set "pom:plugin[pom:artifactId = 'maven-compiler-plugin']/pom:configuration/pom:source" 1.6
%pom_xpath_set "pom:plugin[pom:artifactId = 'maven-compiler-plugin']/pom:configuration/pom:target" 1.6

%build

%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc changelog.txt
%license LICENSE NOTICE

%files javadoc -f .mfiles-javadoc
%license LICENSE NOTICE

%changelog
* Mon May 04 2015 gil cattaneo <puntogil@libero.it> 1.0.4-1
- initial rpm
